OBJ2ASM(1)

name
obj2asm - Digital Mars .OBJ file disassembler

SYNOPSIS
obj2asm [-l] [-o] [-x] objfile [srcfile] [-c[outfile[.cod]]]

DESCRIPTION
obj2asm disassembles object (.o) files in Intel OMF, Microsoft COFF format, or linux ELF format.

OPTIONS

-l  Omit code labels in the assembly language file it generates.

-o  Emit object code for each assembly language instruction.

-x  Emit code segment offset for each instruction.

objfile
    The object to disassemble.

srcfile
    Use this if the source file name embedded in the object file is missing or incorrect.

-c[outfile[.cod]]
    Writes output to outfile instead of the standard output. The default extension for outfile is .cod.

EXAMPLE
To see the code generated by compiling test.cpp, use the following commands:

dmd -c -g test

obj2asm test.o

BUGS
Although the output of obj2asm is in MASM format, it usually requires a little editing before MASM will accept it.

AUTHOR
Written by Walter Bright www.digitalmars.com/ctg/obj2asm.html (http://www.digitalmars.com/ctg/obj2asm.html)

Copyright (C) Digital Mars 2000-2003. All Rights Reserved.

SEE ALSO
dmd(1)